
QGIS Application - Bug report #1509

Polygon border color is not changed for selected polygons

2009-01-24 08:22 AM - marisn -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Map Canvas

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11569

Description

If polygons are set to be displayed without fill, it's impossible to see which one is selected, as border color is not changed.

History

#1 - 2009-07-03 06:42 AM - Giovanni Manghi

This is still a bug with QGis 1.2 (rev. 11005, Ubuntu 9.04).

#2 - 2009-08-07 03:17 PM - Magnus Homann

It's made this way by deisgn, see #239. Perhaps another interior selectioncolor would be appropriate.

#3 - 2009-08-08 01:42 AM - Giovanni Manghi

Replying to [comment:3 homann]:

Perhaps another interior selectioncolor would be appropriate.

The problem is that changing the density of the fill color, it changes also the transparency/tone of the selection color. In the extreme case, with no fill color,

the selection color is 100% transparent.

In general it seems that would be better to the selection color be always the same, otherwise the "selection color" option in "options --> general" loses its

meaning.

#4 - 2009-12-09 12:09 AM - dr -

confirmed

#5 - 2010-04-18 11:18 AM - Martin Dobias

Fixed for new symbology in commit:8c7a31d3 (SVN r13323).

#6 - 2010-05-30 12:37 PM - Giovanni Manghi
- Resolution set to fixed

- Status changed from Open to Closed

Well,

if this has not been fixed for old symbology until now then I guess it will not be fixed in time when the new symbology will take over definitely.
